#include <stdio.h>
#include <stdlib.h>
void zameni(double *a,int x,int y){
double pom;
 pom=*(a+x);
 *(a+x)=*(a+y);
 *(a+y)=pom;
}
void quicksort(double *a, double* b, int levi, int desni)
{
  int pivotpozicija,i,s;
  double pivot;
  if(levi >= desni)
    return;
  s = (levi+desni)/2;
  pivot= a[s];
  zameni( a, levi, s);
  zameni(b,levi,s);
  pivotpozicija=levi;
  for(i=levi+1; i<= desni; i++)
  if( a[i] < a[levi] )
  {
    zameni( a, ++pivotpozicija, i );
    zameni( b, pivotpozicija, i );
  }
  zameni( a, levi, pivotpozicija);
  zameni( b, levi, pivotpozicija);
  quicksort(a, b, levi, pivotpozicija-1);
  quicksort(a, b, pivotpozicija+1, desni );
}
double zarada(double* a, double* p, int n, double por)
{
  double s=0;
  for(int i=0;i<n;i++)
    if(p[i]>=por) s+=por*a[i]/100;
  return s;
}
double max(double* a, int n)
{
  if(n<2) return a[0];
  if(a[n-2]<a[n-1]) a[n-2]=a[n-1];
  return max(a,n-1);
}
int main(void) 
{
  int n,i;
  scanf("%d", &n);
  double* a=(double*)malloc(n*sizeof(double));
  double* p=(double*)malloc(n*sizeof(double));
  double* zarade=(double*)malloc(n*sizeof(double));
  for(i=0;i<n;i++) scanf("%lf%lf", &a[i], &p[i]);
  quicksort(p,a,0,n-1);
  for(i=0;i<n;i++)
    zarade[i]=zarada(a,p,n,p[i]);
  printf("%lf", max(zarade,n));
  free(a);
  a=NULL;
  free(p);
  p=NULL;
  free(zarade);
  zarade=NULL;
}